"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _components = require("@wordpress/components");
var _htmlEntities = require("@wordpress/html-entities");
var _i18n = require("@wordpress/i18n");
var _data = require("@wordpress/data");
var _coreData = require("@wordpress/core-data");
var _utils = require("../../actions/utils");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const TitleView = ({
  item
}) => {
  const {
    frontPageId,
    postsPageId
  } = (0, _data.useSelect)(select => {
    const {
      getEntityRecord
    } = select(_coreData.store);
    const siteSettings = getEntityRecord('root', 'site');
    return {
      frontPageId: siteSettings?.page_on_front,
      postsPageId: siteSettings?.page_for_posts
    };
  }, []);
  const renderedTitle = (0, _utils.getItemTitle)(item);
  let suffix;
  if (item.id === frontPageId) {
    suffix = /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: "edit-site-post-list__title-badge",
      children: (0, _i18n.__)('Homepage')
    });
  } else if (item.id === postsPageId) {
    suffix = /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: "edit-site-post-list__title-badge",
      children: (0, _i18n.__)('Posts Page')
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_components.__experimentalHStack, {
    className: "edit-site-post-list__title",
    alignment: "center",
    justify: "flex-start",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      children: (0, _htmlEntities.decodeEntities)(renderedTitle) || (0, _i18n.__)('(no title)')
    }), suffix]
  });
};
var _default = exports.default = TitleView;
//# sourceMappingURL=title-view.js.map